Package org.eclipse.emf.cdo.lm.util

# Class LMAdapterFactory

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
org.eclipse.emf.cdo.lm.util.LMAdapterFactory

All Implemented Interfaces:
  `AdapterFactory`

Direct Known Subclasses:
  `LMItemProviderAdapterFactory`

public class LMAdapterFactory extends AdapterFactoryImpl
The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  - `LMPackage`
Generated

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static LMPackage`
`modelPackage`
The cached model package.
`protected LMSwitch<Adapter>`
`modelSwitch`
The switch that delegates to the `createXXX` methods.

## Constructor Summary

Constructors
Constructor
Description
`LMAdapterFactory()`
Creates an instance of the adapter factory.

## Method Summary

Modifier and Type
Method
Description
`Adapter`
`createAdapter(Notifier target)`
Creates an adapter for the `target`.
`Adapter`
`createBaselineAdapter()`
Creates a new adapter for an object of class '`Baseline`'.
`Adapter`
`createChangeAdapter()`
Creates a new adapter for an object of class '`Change`'.
`Adapter`
`createDeliveryAdapter()`
Creates a new adapter for an object of class '`Delivery`'.
`Adapter`
`createDependencyAdapter()`
Creates a new adapter for an object of class '`Dependency`'.
`Adapter`
`createDropAdapter()`
Creates a new adapter for an object of class '`Drop`'.
`Adapter`
`createDropTypeAdapter()`
Creates a new adapter for an object of class '`Drop Type`'.
`Adapter`
`createEObjectAdapter()`
Creates a new adapter for the default case.
`Adapter`
`createFixedBaselineAdapter()`
Creates a new adapter for an object of class '`Fixed Baseline`'.
`Adapter`
`createFloatingBaselineAdapter()`
Creates a new adapter for an object of class '`Floating Baseline`'.
`Adapter`
`createModelElementAdapter()`
Creates a new adapter for an object of class '`Model Element`'.
`Adapter`
`createModuleAdapter()`
Creates a new adapter for an object of class '`Module`'.
`Adapter`
`createModuleElementAdapter()`
Creates a new adapter for an object of class '`Module Element`'.
`Adapter`
`createModuleTypeAdapter()`
Creates a new adapter for an object of class '`Module Type`'.
`Adapter`
`createProcessAdapter()`
Creates a new adapter for an object of class '`Process`'.
`Adapter`
`createProcessElementAdapter()`
Creates a new adapter for an object of class '`Process Element`'.
`Adapter`
`createStreamAdapter()`
Creates a new adapter for an object of class '`Stream`'.
`Adapter`
`createStreamElementAdapter()`
Creates a new adapter for an object of class '`Stream Element`'.
`Adapter`
`createSystemAdapter()`
Creates a new adapter for an object of class '`System`'.
`Adapter`
`createSystemElementAdapter()`
Creates a new adapter for an object of class '`System Element`'.
`boolean`
`isFactoryForType(Object object)`
Returns whether this factory is applicable for the type of the object.

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### modelPackage

protected static LMPackage modelPackage
The cached model package.

Generated

### modelSwitch

protected LMSwitch<Adapter> modelSwitch
The switch that delegates to the `createXXX` methods.

Generated

## Constructor Details

### LMAdapterFactory

public LMAdapterFactory()
Creates an instance of the adapter factory.

Generated

## Method Details

### isFactoryForType

public boolean isFactoryForType(Object object)
Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

Specified by:
  `isFactoryForType` in interface `AdapterFactory`
Overrides:
  `isFactoryForType` in class `AdapterFactoryImpl`
Returns:
  whether this factory is applicable for the type of the object.
Generated

### createAdapter

public Adapter createAdapter(Notifier target)
Creates an adapter for the `target`.

Overrides:
  `createAdapter` in class `AdapterFactoryImpl`
Parameters:
  `target` - the object to adapt.
Returns:
  the adapter for the `target`.
Generated

### createSystemElementAdapter

public Adapter createSystemElementAdapter()
Creates a new adapter for an object of class '`System Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `SystemElement`
Generated

### createProcessElementAdapter

public Adapter createProcessElementAdapter()
Creates a new adapter for an object of class '`Process Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `ProcessElement`
Generated

### createModuleElementAdapter

public Adapter createModuleElementAdapter()
Creates a new adapter for an object of class '`Module Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `ModuleElement`
Generated

### createStreamElementAdapter

public Adapter createStreamElementAdapter()
Creates a new adapter for an object of class '`Stream Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `StreamElement`
Generated

### createSystemAdapter

public Adapter createSystemAdapter()
Creates a new adapter for an object of class '`System`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `System`
Generated

### createProcessAdapter

public Adapter createProcessAdapter()
Creates a new adapter for an object of class '`Process`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Process`
Generated

### createDropTypeAdapter

public Adapter createDropTypeAdapter()
Creates a new adapter for an object of class '`Drop Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `DropType`
Generated

### createModuleAdapter

public Adapter createModuleAdapter()
Creates a new adapter for an object of class '`Module`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Module`
Generated

### createDependencyAdapter

public Adapter createDependencyAdapter()
Creates a new adapter for an object of class '`Dependency`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Dependency`
Generated

### createModuleTypeAdapter

public Adapter createModuleTypeAdapter()
Creates a new adapter for an object of class '`Module Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `ModuleType`
Generated

### createBaselineAdapter

public Adapter createBaselineAdapter()
Creates a new adapter for an object of class '`Baseline`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Baseline`
Generated

### createFloatingBaselineAdapter

public Adapter createFloatingBaselineAdapter()
Creates a new adapter for an object of class '`Floating Baseline`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `FloatingBaseline`
Generated

### createFixedBaselineAdapter

public Adapter createFixedBaselineAdapter()
Creates a new adapter for an object of class '`Fixed Baseline`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `FixedBaseline`
Generated

### createStreamAdapter

public Adapter createStreamAdapter()
Creates a new adapter for an object of class '`Stream`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Stream`
Generated

### createChangeAdapter

public Adapter createChangeAdapter()
Creates a new adapter for an object of class '`Change`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Change`
Generated

### createDeliveryAdapter

public Adapter createDeliveryAdapter()
Creates a new adapter for an object of class '`Delivery`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Delivery`
Generated

### createDropAdapter

public Adapter createDropAdapter()
Creates a new adapter for an object of class '`Drop`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Drop`
Generated

### createModelElementAdapter

public Adapter createModelElementAdapter()
Creates a new adapter for an object of class '`Model Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `ModelElement`
Generated

### createEObjectAdapter

public Adapter createEObjectAdapter()
Creates a new adapter for the default case. This default implementation returns null.

Returns:
  the new adapter.
Generated